## plasma-widget-stockquote 2.0

=== CMakeLists.txt ===
project(StockQuote)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} 
                ${KDE4_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR} 
                    ${CMAKE_BINARY_DIR} 
                    ${KDE4_INCLUDES})

add_subdirectory(dataengine)
add_subdirectory(applet)

=== applet/CMakeLists.txt ===
set(stock_quote_SRCS 
    plasma_stock_quote.cpp 
    stock_item.cpp
    header_item.cpp
    footer_item.cpp)

kde4_add_ui_files(stock_quote_SRCS plasma_stock_quote_config.ui)
kde4_add_plugin(plasma_applet_stock_quote ${stock_quote_SRCS})

target_link_libraries(plasma_applet_stock_quote
                      ${KDE4_PLASMA_LIBS} 
                      ${KDE4_KDEUI_LIBS} 
                      ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_stock_quote 
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma_applet_stock_quote.desktop 
        DESTINATION ${SERVICES_INSTALL_DIR})

=== dataengine/CMakeLists.txt ===
set(stock_quote_engine_SRCS 
    stock_quote_engine.cpp)

kde4_add_plugin(plasma_engine_stock_quote ${stock_quote_engine_SRCS})
target_link_libraries(plasma_engine_stock_quote 
                      ${KDE4_PLASMA_LIBS}
                      ${QT_QTNETWORK_LIBRARY})

install(TARGETS plasma_engine_stock_quote 
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-dataengine-stockquote.desktop 
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-stockquote 2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+cmake_minimum_required(VERSION 2.6)
+
 project(StockQuote)
 
 find_package(KDE4 REQUIRED)

=== applet/CMakeLists.txt ===
set(stock_quote_SRCS
    plasma_stock_quote.cpp
    stock_item.cpp
    header_item.cpp
    footer_item.cpp)

kde4_add_ui_files(stock_quote_SRCS plasma_stock_quote_config.ui)
kde4_add_plugin(plasma_applet_stock_quote ${stock_quote_SRCS})

target_link_libraries(plasma_applet_stock_quote
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_stock_quote
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-stock-quote.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== dataengine/CMakeLists.txt ===
set(stock_quote_engine_SRCS
    stock_quote_engine.cpp)

kde4_add_plugin(plasma_engine_stock_quote ${stock_quote_engine_SRCS})
target_link_libraries(plasma_engine_stock_quote
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${QT_QTNETWORK_LIBRARY})

install(TARGETS plasma_engine_stock_quote
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-dataengine-stockquote.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-stockquote (2.1-0ubuntu3) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch to dh7 rules and bump debian/compat to 7.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Drop "Conflicts/Replaces plasmoid-stockquote", not needed anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 13:57:15 +0200

plasma-widget-stockquote (2.1-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Drop cmake and quilt from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 21:43:36 +0200

plasma-widget-stockquote (2.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #371957)
    - BUG: Stock is now left clickable only
    - BUG: Link to the generic yahoo finance page instead of the au specific
      one
    - ENHANCEMENT: KDE proxies are now supported
    - ENHANCEMENT: Opacity is now configurable
    - ENHANCEMENT: Currency conversions to 4 decimal places
  * Update to use pkg-kde-tools.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Wed, 06 May 2009 21:41:59 -0700

plasma-widget-stockquote (2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #329623).
  * Remove cmake-find-plasma.patch, no longer applies.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Sat, 14 Feb 2009 22:19:24 -0800

plasma-widget-stockquote (1.1-0ubuntu5) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-stockquote
    - Adjust package description
  * Remove quilt-build-dep-but-no-series-file lintian override

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 12 Feb 2009 00:44:12 +0000

plasmoid-stockquote (1.1-0ubuntu4) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:37:58 -0500

plasmoid-stockquote (1.1-0ubuntu3) jaunty; urgency=low

  * Patch CMakeLists.txt to work with annoyingly late in the release cycle
    build system changes
  * Rebuild for abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 13:53:17 -0500

plasmoid-stockquote (1.1-0ubuntu2) jaunty; urgency=low

  * No change rebuild due to libplasma3 abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 13:17:52 -0500

plasmoid-stockquote (1.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #310979).
  * Repacked .orig from .tar.bz2. 

 -- Nick Ellery <nick.ellery@ubuntu.com>  Tue, 23 Dec 2008 11:11:07 -0800

=== debian/control ===
Source: plasma-widget-stockquote
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Ellery <nick.ellery@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.2.2)
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php/Stock+Quote?content=90695

Package: plasma-widget-stockquote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget which displays stock quotes
 Displays stock quotes on the desktop pulled from the yahoo servers.
